Bug 523386 - Tracking bug for several upgrade issues discovered post 5.3.0 release
Summary: Tracking bug for several upgrade issues discovered post 5.3.0 release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On: 509112 523384 523389 523390 523393 523760 524718
Blocks: sat531-blockers
TreeView+ depends on / blocked
 
Reported: 2009-09-15 09:54 UTC by Miroslav Suchý
Modified: 2010-01-30 03:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 14:48:37 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2009-09-15 09:54:24 UTC
After release we got reports about big consumption of UNDO_TBS, TEMP_TBS and slowness of the upgrade from  sat520 to sat530
This bugzilla will track each individual problem.

Comment 1 Milan Zázrivec 2009-09-15 19:08:48 UTC
To restate all upgrade problems discovered after 5.3.0 release:

* schema upgrade may consume significant amount of undo tablespace (and
run out of available space)

* schema upgrade may consume significant amount of temporary tablespace
at several places (and run out of available space)

* update-packages script may consume significant amount of undo tablespace
and run out of available space resulting into database data being inconsistent
with filesystem data

* update-packages script does not handle epoch information during /var/satellite
upgrade correctly


Note You need to log in before you can comment on or make changes to this bug.